Bug 228067 - lskat: Game terminates with "Game was aborted", no points
Summary: lskat: Game terminates with "Game was aborted", no points
Status: RESOLVED FIXED
Alias: None
Product: lskat
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Unspecified
: NOR normal (vote)
Target Milestone: ---
Assignee: martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-22 15:56 UTC by Eckhart Wörner
Modified: 2014-05-07 23:03 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.13.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eckhart Wörner 2010-02-22 15:56:01 UTC
Version:            (using KDE 4.3.4)

This bug has been copied over from
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=531110

----

lskat sometimes terminates with no point to 
either player with the message "Game is aborted".  The display is messed 
up, and as far as I can tell there also a problem when the aborted game 
starts, which is the first card played by the computer doesn't display 
in the play area.

----

More info:

1.  From what I've seen this happens after another bug: I'm playing 
Computer vs Human; Computer starts game and plays first card.  The card 
is played but it does not display on the game play area, so Human has to 
make a guess which card and suit to respond with.  After that the game 
proceeds normally until the end.

2. Attaching a screenshot of the end of a "Game was aborted" game.  As 
you can see, the display still shows one card to be played in the Human 
deck, whereas the game is actually over (for some values of "over").

Not related, but the computer player seems to have become more stupid 
(compared to the Hard level in KDE3) with this new version (KDE4) of 
lskat.  It still cheats, though, as far as I can make out.

----

It seems you can reliably reproduce this bug.  If you select "New" from 
the "Game" menu while the last card played by the computer is still 
moving towards the play area, the new game started will have this 
problem.  You have to be quick to select "New" (or press ^N) before the 
card moves from the deal area to the play position.  You can do this at 
any point in the game when the computer is moving.
Comment 1 Eckhart Wörner 2010-02-22 16:00:51 UTC
This comment has been copied over from
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=531110

----

Attaching screenshots of the start of a faulty game and its end.  As you 
can see from the start screenshot, none of the second player's cards are 
shown played whereas the scoreboard and the played card stack show one 
hand as played.  Further, the card below the first card played by the 
first player is not shown face-up.  The game terminated with the status 
shown in the second screenshot.  These two problems seem to appear 
together.

----

http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=25;filename=lskat-game-bug.png;att=1;bug=531110
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=25;filename=lskat-game-bug2.png;att=2;bug=531110
Comment 2 Ian Wadham 2014-05-07 22:09:09 UTC
Git commit 922d9ced78f6eb319d1049795acef3d8e243fb0b by Ian Wadham.
Committed on 07/05/2014 at 21:58.
Pushed by ianw into branch 'master'.
Related: bug 330308

LSkat AI would play illogically after you hit New during a move.

M  +1    -1    src/mainwindow.cpp

http://commits.kde.org/lskat/922d9ced78f6eb319d1049795acef3d8e243fb0b
Comment 3 Ian Wadham 2014-05-07 22:12:32 UTC
Git commit 46f3b313bf91c9828c63e5be7a8f319254528647 by Ian Wadham.
Committed on 07/05/2014 at 21:58.
Pushed by ianw into branch 'KDE/4.13'.
Related: bug 330308

LSkat AI would play illogically after you hit New during a move.

M  +1    -1    src/mainwindow.cpp

http://commits.kde.org/lskat/46f3b313bf91c9828c63e5be7a8f319254528647